import type { Metadata } from 'next';
// fonts
import { Manrope } from 'next/font/google';
// Auth
import NextAuthProvider from './providers/nextAuthProvider';
// components
import { Header } from '@/components/';
// styles
import '@styles/index.scss';

const font = Manrope({ subsets: ['latin'] });

export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang='en'>
      <body className={font.className}>
        <NextAuthProvider>
          <Header />
          {children}
          <div id='modal' />
        </NextAuthProvider>
      </body>
    </html>
  );
}
